package ibase.dashboard.mfg.ejb;
import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;

import javax.ejb.Remote;

@Remote
public interface ProductionVsBudgetReportRemote  extends ValidatorRemote
{

	public String getProductionBudget(String frmDate,String toDate,String geoLoc,String unitForm) throws RemoteException, ITMException;
	public String getGeoLoCodeXmlData() throws RemoteException, ITMException;
	public String getUnitFormXmlData() throws RemoteException, ITMException;
	public String getInitGeoLocation() throws RemoteException, ITMException;
	public String getInitUnitForm()throws RemoteException, ITMException;
}
